<?php

namespace Modules\Facture\Rules;

use Helpers\Outil\Roles;
use Psr\Http\Message\ServerRequestInterface;

class FactureImporter
{
    protected ServerRequestInterface $request;
    protected \PDO $pdo;
    protected Main $main;

    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request    = $request;
        $this->pdo        = $pdo;
        $this->main       = new Main($this->request, $this->pdo);
    }
    public function listeFactureImport(): bool
    {
        return Roles::droitsUtilisateur($this->pdo, 'HA_FA_LAD') || Roles::droitsUtilisateur($this->pdo, 'HA_FA_LADA');
    }
    public function archiver(): bool
    {
        return Roles::droitsUtilisateur($this->pdo, 'HA_FA_LAD') || Roles::droitsUtilisateur($this->pdo, 'HA_FA_LADA');
    }
    public function annulerTransfert(): bool
    {
        return Roles::droitsUtilisateur($this->pdo, 'HA_FA_LAD') || Roles::droitsUtilisateur($this->pdo, 'HA_FA_LADA');
    }
    public function alertePdfNotFound(): bool
    {
        return Roles::droitsUtilisateur($this->pdo, 'HA_FA_LAD') || Roles::droitsUtilisateur($this->pdo, 'HA_FA_LADA');
    }
    public function transfertFacture(): bool
    {
        return Roles::droitsUtilisateur($this->pdo, 'HA_FA_LAD') || Roles::droitsUtilisateur($this->pdo, 'HA_FA_LADA');
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function exportFactureImport(): bool
    {
        return true;
    }
}
